View Issue Details

IDProjectCategoryView StatusLast Update
0005049Talerwallet (WebExtensions)public2017-06-06 14:18
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0005049: wallet should include code to enable auto-updates
DescriptionThere's some special API so the background page can re-start and an auto-update can be applied.
TagsNo tags attached.

Relationships

related to 0005035 closedChristian Grothoff add version field to /keys 

Activities

Florian Dold

2017-05-31 23:02

manager   ~0012201

Implemented restart-on-update in 8a2642a51.

Still, Chrome checks only every few hours, so we should request an update check explicitly when we download /keys and find that the exchange uses a newer protocol version.

See 0005035

Florian Dold

2017-06-04 20:29

manager   ~0012220

Fixed in 2cf337

Issue History

Date Modified Username Field Change
2017-05-31 21:37 Florian Dold New Issue
2017-05-31 21:37 Florian Dold Status new => assigned
2017-05-31 21:37 Florian Dold Assigned To => Florian Dold
2017-05-31 23:02 Florian Dold Note Added: 0012201
2017-05-31 23:02 Florian Dold Relationship added related to 0005035
2017-06-04 12:26 Christian Grothoff Product Version => SVN HEAD
2017-06-04 20:29 Florian Dold Status assigned => resolved
2017-06-04 20:29 Florian Dold Resolution open => fixed
2017-06-04 20:29 Florian Dold Note Added: 0012220
2017-06-04 20:58 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed